<?php
/**
 * Sample implementation of the Custom Header feature
 *
 * @package Revolution Video Vlog
 */

function revolution_video_vlog_custom_header_setup() {
	add_theme_support(
		'custom-header',
		apply_filters(
			'revolution_video_vlog_custom_header_args',
			array(
				'default-image'          => get_parent_theme_file_uri( '/revolution/assets/image/header_img.png' ),
				'default-text-color' => '000000',
				'width'              => 1000,
				'height'             => 250,
				'flex-height'        => true,
				'flex-width'         => true,
				'wp-head-callback'   => 'revolution_video_vlog_header_style',
			)
		)
	);

	register_default_headers( array(
		'default-image' => array(
			'url'           => '%s/revolution/assets/image/header_img.png',
			'thumbnail_url' => '%s/revolution/assets/image/header_img.png',
			'description'   => __( 'Default Header Image', 'revolution-video-vlog' ),
		),
	) );
}
add_action( 'after_setup_theme', 'revolution_video_vlog_custom_header_setup' );

if ( ! function_exists( 'revolution_video_vlog_header_style' ) ) :	
	function revolution_video_vlog_header_style() {
		$revolution_video_vlog_header_text_color = get_header_textcolor();
		if ( get_theme_support( 'custom-header', 'default-text-color' ) === $revolution_video_vlog_header_text_color ) {
			return;
		}
		?>
		<style type="text/css">
		<?php
		// Has the text been hidden?
		if ( ! display_header_text() ) :
			?>
			.site-title,
			.site-description {
				position: absolute;
				clip: rect(1px, 1px, 1px, 1px);
				}
			<?php
			// If the user has set a custom color for the text use that.
		else :
			?>
			.site-title a,
			.site-description {
				color: #<?php echo esc_attr( $revolution_video_vlog_header_text_color ); ?>;
			}
		<?php endif; ?>
		</style>
		<?php
	}
endif;
